<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::ConstType Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_const_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpcgen_1_1_const_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::ConstType Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Const class.  
 <a href="classerpcgen_1_1_const_type.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_const_type_8h_source.html">ConstType.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for erpcgen::ConstType:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1_const_type.png" usemap="#erpcgen::ConstType_map" alt=""/>
  <map id="erpcgen::ConstType_map" name="erpcgen::ConstType_map">
<area href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. " alt="erpcgen::Symbol" shape="rect" coords="0,0,125,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca35357ab2202c7c7b946f6d17fca1d8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#aca35357ab2202c7c7b946f6d17fca1d8">ConstType</a> (const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok, <a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType, <a class="el" href="class_value.html">Value</a> *value)</td></tr>
<tr class="memdesc:aca35357ab2202c7c7b946f6d17fca1d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aca35357ab2202c7c7b946f6d17fca1d8">More...</a><br /></td></tr>
<tr class="separator:aca35357ab2202c7c7b946f6d17fca1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26b523412fd69f2eae4259f3c680aeb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#ae26b523412fd69f2eae4259f3c680aeb">getDataType</a> ()</td></tr>
<tr class="memdesc:ae26b523412fd69f2eae4259f3c680aeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to element data type.  <a href="#ae26b523412fd69f2eae4259f3c680aeb">More...</a><br /></td></tr>
<tr class="separator:ae26b523412fd69f2eae4259f3c680aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc814b59dd3d5bf544767e377d6323c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#acc814b59dd3d5bf544767e377d6323c1">getValue</a> ()</td></tr>
<tr class="memdesc:acc814b59dd3d5bf544767e377d6323c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns value of constant data type.  <a href="#acc814b59dd3d5bf544767e377d6323c1">More...</a><br /></td></tr>
<tr class="separator:acc814b59dd3d5bf544767e377d6323c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a686b6ac07b968882bf6f0cea7ec7f0f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#a686b6ac07b968882bf6f0cea7ec7f0f8">setDataType</a> (<a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType)</td></tr>
<tr class="memdesc:a686b6ac07b968882bf6f0cea7ec7f0f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets constant data type.  <a href="#a686b6ac07b968882bf6f0cea7ec7f0f8">More...</a><br /></td></tr>
<tr class="separator:a686b6ac07b968882bf6f0cea7ec7f0f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7213e9774d959eca21c4261b0d89a8f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#a7213e9774d959eca21c4261b0d89a8f2">setValue</a> (<a class="el" href="class_value.html">Value</a> *value)</td></tr>
<tr class="memdesc:a7213e9774d959eca21c4261b0d89a8f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets constant value.  <a href="#a7213e9774d959eca21c4261b0d89a8f2">More...</a><br /></td></tr>
<tr class="separator:a7213e9774d959eca21c4261b0d89a8f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType)</td></tr>
<tr class="memdesc:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7d6a966d4c2d00f4e7e40c30796be532">More...</a><br /></td></tr>
<tr class="separator:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const std::string &amp;name)</td></tr>
<tr class="memdesc:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac969b4105dddf248d163cdb10385efe1">More...</a><br /></td></tr>
<tr class="separator:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok)</td></tr>
<tr class="memdesc:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3274ccd412cc221e15976cc93c71b95d">More...</a><br /></td></tr>
<tr class="separator:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a32f65a99da47b8a281926bc3770880"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a> ()</td></tr>
<tr class="memdesc:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a> () const </td></tr>
<tr class="memdesc:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol type.  <a href="#acc2311d1d0acf78dc31a86c7959ce34e">More...</a><br /></td></tr>
<tr class="separator:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a> () const </td></tr>
<tr class="memdesc:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol name.  <a href="#a84c290b9cf7672b0f94aea9ff27acf1f">More...</a><br /></td></tr>
<tr class="separator:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a> (const std::string &amp;newName)</td></tr>
<tr class="memdesc:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set symbol name.  <a href="#af3a2dbfad1b23fbdfa3ef6e3812ad357">More...</a><br /></td></tr>
<tr class="separator:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a> ()</td></tr>
<tr class="memdesc:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns location for symbol.  <a href="#a44f21abf207fcdda09415d1eaa32f348">More...</a><br /></td></tr>
<tr class="separator:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;loc)</td></tr>
<tr class="memdesc:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set location for symbol.  <a href="#a3b4712d9a59eee5c377b235d995ec776">More...</a><br /></td></tr>
<tr class="separator:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a> () const </td></tr>
<tr class="memdesc:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return first line from location of symbol.  <a href="#a927c69a16cbb47ca6c8d5b4f8a213887">More...</a><br /></td></tr>
<tr class="separator:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a> () const </td></tr>
<tr class="memdesc:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return last line from location of symbol.  <a href="#a00bb74bbfea291f784e65484bf54664b">More...</a><br /></td></tr>
<tr class="separator:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbb57b6bf584ed7c07e86f5316fa4051 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#afbb57b6bf584ed7c07e86f5316fa4051">isBuiltin</a> () const </td></tr>
<tr class="memdesc:afbb57b6bf584ed7c07e86f5316fa4051 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify builtin type.  <a href="#afbb57b6bf584ed7c07e86f5316fa4051">More...</a><br /></td></tr>
<tr class="separator:afbb57b6bf584ed7c07e86f5316fa4051 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84732dc398fd0cbf64d53d45db1cc8c5 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84732dc398fd0cbf64d53d45db1cc8c5">getDescription</a> () const </td></tr>
<tr class="memdesc:a84732dc398fd0cbf64d53d45db1cc8c5 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about the symbol (symbol name).  <a href="#a84732dc398fd0cbf64d53d45db1cc8c5">More...</a><br /></td></tr>
<tr class="separator:a84732dc398fd0cbf64d53d45db1cc8c5 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a> (const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;a)</td></tr>
<tr class="memdesc:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function add annotation to vector of symbol annotations.  <a href="#a828866509c0ee041aaf7e31ab18cf2da">More...</a><br /></td></tr>
<tr class="separator:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a> ()</td></tr>
<tr class="memdesc:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about annotation.  <a href="#aa3f9fe166df63e096228de582e87248b">More...</a><br /></td></tr>
<tr class="separator:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a> (std::string name)</td></tr>
<tr class="memdesc:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotation in the annotation list.  <a href="#a674a1dff60207fa512a2a2b7b7146c3b">More...</a><br /></td></tr>
<tr class="separator:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a> (std::string name)</td></tr>
<tr class="memdesc:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotations matching name in the annotation list.  <a href="#a8ac0fa46b91ae20ff49c62cfab29a810">More...</a><br /></td></tr>
<tr class="separator:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a> ()</td></tr>
<tr class="memdesc:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns multiline comment for this symbol declared in IDL file.  <a href="#a85fc3b86b1d1935f3017f8d5db3a2111">More...</a><br /></td></tr>
<tr class="separator:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set multiline comment for this symbol declared in IDL file.  <a href="#adfff1c0850b243effae7c8c9911f2f53">More...</a><br /></td></tr>
<tr class="separator:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a> ()</td></tr>
<tr class="memdesc:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns inline comment for this symbol declared in IDL file.  <a href="#acec60e332ab5bf223e8c5d92f9a732f0">More...</a><br /></td></tr>
<tr class="separator:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set inline comment for this symbol declared in IDL file.  <a href="#a9cf5481c123404b46a6574135ff6631e">More...</a><br /></td></tr>
<tr class="separator:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5178fbef050ccbb01987703839392907"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#a5178fbef050ccbb01987703839392907">m_dataType</a></td></tr>
<tr class="separator:a5178fbef050ccbb01987703839392907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b2746d002b70fe40d25034f57b7006f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_const_type.html#a0b2746d002b70fe40d25034f57b7006f">m_value</a></td></tr>
<tr class="separator:a0b2746d002b70fe40d25034f57b7006f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td></tr>
<tr class="separator:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td></tr>
<tr class="separator:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td></tr>
<tr class="separator:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td></tr>
<tr class="separator:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td></tr>
<tr class="separator:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td></tr>
<tr class="separator:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41dbbe424222a8e9b4b73c390cf06775"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> { <br />
&#160;&#160;<b>kProgramSymbol</b>, 
<br />
&#160;&#160;<b>kTypenameSymbol</b>, 
<br />
&#160;&#160;<b>kEnumMemberSymbol</b>, 
<br />
&#160;&#160;<b>kStructMemberSymbol</b>, 
<br />
&#160;&#160;<b>kConstSymbol</b>, 
<br />
&#160;&#160;<b>kInterfaceSymbol</b>, 
<br />
&#160;&#160;<b>kFunctionSymbol</b>, 
<br />
&#160;&#160;<b>kBuiltinTypeSymbol</b>, 
<br />
&#160;&#160;<b>kListTypeSymbol</b>, 
<br />
&#160;&#160;<b>kArrayTypeSymbol</b>, 
<br />
&#160;&#160;<b>kEnumTypeSymbol</b>, 
<br />
&#160;&#160;<b>kStructTypeSymbol</b>, 
<br />
&#160;&#160;<b>kAliasTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionCaseTypeSymbol</b>
<br />
 }<tr class="memdesc:a41dbbe424222a8e9b4b73c390cf06775"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported symbol types. <br /></td></tr>
</td></tr>
<tr class="separator:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Const class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aca35357ab2202c7c7b946f6d17fca1d8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::ConstType::ConstType </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>tok</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td>
          <td class="paramname"><em>dataType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_value.html">Value</a> *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set symbol token to given token, data type to given data type and value to given value.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">tok</td><td><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a>, which contains name and location. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataType</td><td>Given data type.. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Given value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ae26b523412fd69f2eae4259f3c680aeb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a>* erpcgen::ConstType::getDataType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns pointer to element data type. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to element data type. </dd></dl>

</div>
</div>
<a class="anchor" id="acc814b59dd3d5bf544767e377d6323c1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_value.html">Value</a>* erpcgen::ConstType::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns value of constant data type. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to value. </dd></dl>

</div>
</div>
<a class="anchor" id="a686b6ac07b968882bf6f0cea7ec7f0f8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::ConstType::setDataType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td>
          <td class="paramname"><em>dataType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function sets constant data type. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dataType</td><td>Constant data type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7213e9774d959eca21c4261b0d89a8f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::ConstType::setValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_value.html">Value</a> *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function sets constant value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Constant value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a5178fbef050ccbb01987703839392907"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a>* erpcgen::ConstType::m_dataType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constant data type. </p>

</div>
</div>
<a class="anchor" id="a0b2746d002b70fe40d25034f57b7006f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_value.html">Value</a>* erpcgen::ConstType::m_value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constant value. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_const_type_8h_source.html">ConstType.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
